<template>
  <button
    :class="getStyles"
    type="button"
    @click="$emit('click')"
  >
    <slot />
  </button>
</template>

<script>
export default {
  name: 'VButton',
  props: {
    shape: {
      type: String,
      required: false,
      default: 'primary',
      validator(value) {
        return ['primary', 'secondary'].indexOf(value) !== -1;
      },
    },
    size: {
      type: String,
      required: false,
      default: 'sm',
      validator(value) {
        return ['sm', 'md'].indexOf(value) !== -1;
      },
    },
  },
  computed: {
    getStyles() {
      return `button-base ${this.shape} ${this.size}`;
    },
  },
};
</script>

<style lang="stylus" scoped>
.button-base
  box-shadow 0 0.4rem 0.8rem rgba(25, 25, 25, 0.08)
  border-radius 10rem
  border none
  padding-left 0.8rem
  padding-right 0.8rem
  outline none
  cursor pointer
  font-family 'Signika', sans-serif
  font-weight bold

.primary
  background var(--color-primary)
  color var(--color-white)

.secondary
  background-color var(--color-white)
  color var(--color-primary)

.sm
  min-width 15rem
  height 3.5rem
  font-size 1.5rem

.md
  min-width 20rem
  height 4.5rem
  font-size 2rem
</style>
